This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 578886 - Review Request: likewise-open - Join to Active Directory and securely authenticate users.
Review Request: likewise-open - Join to Active Directory and securely authent...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
: 488618 (view as bug list)
Depends On: 587722
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-01 13:03 EDT by Scott Salley
Modified: 2013-10-19 10:42 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-03 14:29:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Scott Salley 2010-04-01 13:03:27 EDT
Spec URL: Need hosting space
SRPM URL: Need hosting space
Description: This is my first package and I'll need a sponser -- I have an account (ssalley) at fedorapeople.org but don't seem to have upload rights. 

likewise-open joins Unix, Linux, and Mac machines to Microsoft Active Directory and securely authenticates users.

This package is intended for Fedora 12.

This is the first version to support SELinux -- we've previously asked users to disable SELinux. We now have a policy in Fedora 12 and Fedora 13 and apply contexts to home directories when they are created.

The build system Likewise uses is quite ugly (I'm a Likewise employee) as we support many different versions of Unix and have to sometimes create 'fat' packages to support 32/64-bit components in one package. I've done my best to shoehorn this into the RPM build system and to package the results in standard way.

The source code comes from a git repository (git://git.likewiseopen.org/likewise-open.git) mirrored off of a (internal to Likewise) Subversion repository. This release corresponds to revision 42111 in the subversion system (subversion revisions are visible in the git repository).

Patches are applied and are mostly related to positioning files for the FHS as we generally drop things in /opt/likewise. I have a patch for supporting SELinux that has not yet been integrated upstream.

Components from OpenLDAP and Kerberos are also included as private components (/usr/lib/likewise-open). We regularly submit patches to these projects, but it can take a while for them to get accepted (I believe the changes we need are already in the packages for Fedora 13).
Comment 1 Jason Tibbitts 2010-04-01 13:14:11 EDT
*** Bug 488618 has been marked as a duplicate of this bug. ***
Comment 2 Jason Tibbitts 2010-04-01 13:16:50 EDT
I'm somewhat surprised that likewise.com doesn't have any web space at all that you could use to put up a couple of packages.  If that's really the case, let me know and I'll get you set up with something.

You might also take a look at the older ticket, which was closed because the submitter, also seemingly an employee of likewise) failed to respond to review commentary.  Perhaps there are some relevant comments there.
Comment 3 Peter Lemenkov 2010-04-01 13:27:50 EDT
(In reply to comment #2)
> I'm somewhat surprised that likewise.com doesn't have any web space at all that
> you could use to put up a couple of packages.  If that's really the case, let
> me know and I'll get you set up with something.
> 
> You might also take a look at the older ticket, which was closed because the
> submitter, also seemingly an employee of likewise) failed to respond to review
> commentary.  Perhaps there are some relevant comments there.    

Actually, there is a dedicated site from Likewise folks:

http://archives.likewise.com/
Comment 4 Scott Salley 2010-04-05 16:16:53 EDT
Spec URL: http://archives.likewiseopen.org/~ssalley/likewise-open.spec
SRPM URL: http://archives.likewiseopen.org/~ssalley/likewise-open-5.4.0.42111-1.fc12.src.rpm

I wasn't aware of archives.likewise.com and our IT manager had forgotten about it (it is run by another employee).

I also wasn't aware of the older ticket; I've reviewed the comments there and tried to make this a decent package.

I've also removed the OpenLDAP and Kerberos components from this package.
Comment 5 Scott Salley 2010-04-15 11:34:00 EDT
Spec URL: http://archives.likewiseopen.org/~ssalley/Fedora/12/likewise-open.spec
SRPM URL:
http://archives.likewiseopen.org/~ssalley/Fedora/12/likewise-open-5.4.0.42111-2.fc12.src.rpm

I've done a koji scratch build for fedora 12 without problem.

rpmlint reports invalid-url for Source0: I used just a tar ball with an explanation as to how to generate the tar ball.
Comment 6 Tajidin Abdullah 2010-08-08 05:53:20 EDT
is there any status on this package being accepted into Fedora? If not i would like to build this package and get it accepted into Fedora
Comment 7 Jason Tibbitts 2010-08-08 07:14:44 EDT
The package needs a review, which so far has not been done.
Comment 8 Scott Salley 2010-08-09 00:41:00 EDT
likewise-open currently includes its own copy of Kerberos/OpenLDAP which would block acceptance of this package. We can function without our own copy of Kerberos, though Windows 2000 AD support gets dropped. We have several vital changes we made to OpenLDAP and when we talked with the OpenLDAP people, they did not want the patches we proposed and had some suggestions involving Cyrus SASL plugins. Likewise is currently implementing such a plugin and I believe the principal developer has it working on her machine. After this is working across our build process, we should have a package acceptable for inclusion (fingers crossed).
Comment 9 Bug Zapper 2010-11-03 14:06:07 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Scott Salley 2010-11-03 14:29:12 EDT
likewise-open is not ready for inclusion in Fedora at this time. Will try again in the future.

Note You need to log in before you can comment on or make changes to this bug.